Purchase an RPC plan using account balance. Deducts the balance, creates the order, invoice, payment, and license in a single atomic transaction.
cURL
curl --request POST \ --url https://orbitflare.com/api/customer/v2/orders/purchase \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "product_slug": "<string>", "billing_period": "monthly", "discount_code": "<string>" } '
{ "success": true, "message": "<string>", "data": { "order": { "reference": "<string>", "status": "<string>", "total_amount": 123 }, "license": { "key": "<string>", "slug": "<string>", "status": "<string>", "renewal_date": "2023-11-07T05:31:56Z" }, "invoice": { "reference": "<string>" }, "new_balance": 123 } }
Bearer token from device or wallet auth
Slug of the RPC plan product.
monthly
quarterly
semi-annual
annual
Optional coupon code.
Plan purchased successfully.
true
Show child attributes
Was this page helpful?